#define CSTACK_NEW_HEAD(func) \
	PyCStackObject * func (PyCStackObject **cst, int *stackref, PyTaskletObject *task)

#define CSTACK_SAVE_HEAD(func) \
	int func (PyCStackObject *cstprev)

#define CSTACK_RESTORE_HEAD(func) \
	void func (PyCStackObject *cst)

typedef struct _cstack_heaptype {
	PyFlexTypeObject type;
	/* the fast callbacks */
	CSTACK_NEW_HEAD(     (*new)      );
	CSTACK_SAVE_HEAD(    (*save)     );
	CSTACK_RESTORE_HEAD( (*restore)  );
} PyCStack_HeapType;

int init_cstacktype(void);
