#define Scheduler_SEND_HEAD(func) \
	int func (PySchedulerObject *self, PyObject *arg)

#define Scheduler_SEND_EXCEPTION_HEAD(func) \
	int func (PySchedulerObject *self, PyObject *klass, PyObject *value)

#define Scheduler_RECEIVE_HEAD(func) \
	PyObject * func (PySchedulerObject *self)


typedef struct _pyscheduler_heaptype {
	PyFlexTypeObject type;
	/* the fast callbacks */
	Scheduler_SEND_HEAD(           (*send)             );
	Scheduler_SEND_EXCEPTION_HEAD( (*send_exception)   );
	Scheduler_RECEIVE_HEAD(	       (*receive)          );
} PyScheduler_HeapType;

int init_schedulertype(void);
